Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

SSH in 2950 Model

Hi all,

Anyone help on this. Actually i am having 2950 switch. Now i login through telnet but as per the company standard i have to login through ssh. Is there any possible to enable the SSH in 2950. Any IOS supporting this operation.

flash:/c2950-i6q4l2-mz.121-19.EA1c.bin

Any advacned IOS is there to enable the ssh.

Kindly let me know.

Thanks in advance

Gopinath.

8 REPLIES

Re: SSH in 2950 Model

The 2950 Enhanced Image supported SSHv2 starting 12.1(19)EA1 and the 2950 Standard Image started supporting SSHv2 starting 12.1(22)EA2.

I suggest you get the latest possible image, so you have the most bug fixes.

New Member

Re: SSH in 2950 Model

Hi,

Thanks for the prompt response. Can i get exact flash name.So that i will farward the same to admin team to buy.

Thanks & Regards

Gopinath.

Re: SSH in 2950 Model

For example: c2950-i6k2l2q4-mz.121-22.EA13.bin will work

New Member

Re: SSH in 2950 Model

thanks

New Member

Re: SSH in 2950 Model

Hello Lucien.

Re the 2 attached pictures. I read you are refering gopi to SW c2950-i6k2l2q4-mz.121-22.EA13.bin

Can I assume that the manual is wrong or is there a bug in the ios my switch is using?

New Member

SSH in 2950 Model

John,

it does not appear that you are running the crypto version. There is is a k designator in the image name.

your sw is c2950-i6q4l2, and Lucien recommended c2950-i6k2l2q4 (notice the k2 in the filename). Other platforms will usually have k9 in the filename, or the ASAs usually have k8. - chris

Purple

Re: SSH in 2950 Model

cmarva is correct , you do not have the correct IOS .  You will need

c2950-i6k2l2q4-mz.121-22.EA14.bin

New Member

Re: SSH in 2950 Model

Thank you very much. I have already performed the update and everything is OK.

However, as a an improvement proposal, there should a little bit more clarity on Cisco manuals. Manual states v19, regardless of k requirement and the actual SW that can do the job is v22 with k attribute.

1171
Views
10
Helpful
8
Replies